Open CASCADE Technology
7.1.0.beta
|
Describes functions to build spheres or portions of spheres. A MakeSphere object provides a framework for: More...
#include <BRepPrimAPI_MakeSphere.hxx>
Public Member Functions | |
BRepPrimAPI_MakeSphere (const Standard_Real R) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const Standard_Real R, const Standard_Real angle) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2, const Standard_Real angle3) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const gp_Pnt &Center, const Standard_Real R) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const gp_Pnt &Center, const Standard_Real R, const Standard_Real angle) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const gp_Pnt &Center, const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const gp_Pnt &Center, const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2, const Standard_Real angle3) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const gp_Ax2 &Axis, const Standard_Real R) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const gp_Ax2 &Axis, const Standard_Real R, const Standard_Real angle) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const gp_Ax2 &Axis, const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2) | |
Make a sphere of radius R. More... | |
BRepPrimAPI_MakeSphere (const gp_Ax2 &Axis, const Standard_Real R, const Standard_Real angle1, const Standard_Real angle2, const Standard_Real angle3) | |
Make a sphere of radius R. For all algorithms The resulting shape is composed of. More... | |
Standard_Address | OneAxis () |
Returns the algorithm. More... | |
BRepPrim_Sphere & | Sphere () |
Returns the algorithm. More... | |
Public Member Functions inherited from BRepPrimAPI_MakeOneAxis | |
virtual void | Build () override |
Stores the solid in myShape. More... | |
const TopoDS_Face & | Face () |
Returns the lateral face of the rotational primitive. More... | |
operator TopoDS_Face () | |
const TopoDS_Shell & | Shell () |
Returns the constructed rotational primitive as a shell. More... | |
operator TopoDS_Shell () | |
const TopoDS_Solid & | Solid () |
Returns the constructed rotational primitive as a solid. More... | |
operator TopoDS_Solid () | |
Public Member Functions inherited from BRepBuilderAPI_MakeShape | |
virtual const TopoDS_Shape & | Shape () |
Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More... | |
operator TopoDS_Shape () | |
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &S) |
Returns the list of shapes generated from the shape <S>. More... | |
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &S) |
Returns the list of shapes modified from the shape <S>. More... | |
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &S) |
Returns true if the shape S has been deleted. More... | |
Public Member Functions inherited from BRepBuilderAPI_Command | |
virtual | ~BRepBuilderAPI_Command () |
virtual Standard_Boolean | IsDone () const |
void | Check () const |
Raises NotDone if done is false. More... | |
Additional Inherited Members | |
Protected Member Functions inherited from BRepBuilderAPI_MakeShape | |
BRepBuilderAPI_MakeShape () | |
Protected Member Functions inherited from BRepBuilderAPI_Command | |
BRepBuilderAPI_Command () | |
Set done to False. More... | |
void | Done () |
Set done to true. More... | |
void | NotDone () |
Set done to false. More... | |
Protected Attributes inherited from BRepBuilderAPI_MakeShape | |
TopoDS_Shape | myShape |
TopTools_ListOfShape | myGenerated |
Describes functions to build spheres or portions of spheres. A MakeSphere object provides a framework for:
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const Standard_Real | R | ) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const Standard_Real | R, |
const Standard_Real | angle | ||
) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const Standard_Real | R, |
const Standard_Real | angle1, | ||
const Standard_Real | angle2 | ||
) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const Standard_Real | R, |
const Standard_Real | angle1, | ||
const Standard_Real | angle2, | ||
const Standard_Real | angle3 | ||
) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const gp_Pnt & | Center, |
const Standard_Real | R | ||
) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const gp_Pnt & | Center, |
const Standard_Real | R, | ||
const Standard_Real | angle | ||
) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const gp_Pnt & | Center, |
const Standard_Real | R, | ||
const Standard_Real | angle1, | ||
const Standard_Real | angle2 | ||
) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const gp_Pnt & | Center, |
const Standard_Real | R, | ||
const Standard_Real | angle1, | ||
const Standard_Real | angle2, | ||
const Standard_Real | angle3 | ||
) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const gp_Ax2 & | Axis, |
const Standard_Real | R | ||
) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const gp_Ax2 & | Axis, |
const Standard_Real | R, | ||
const Standard_Real | angle | ||
) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const gp_Ax2 & | Axis, |
const Standard_Real | R, | ||
const Standard_Real | angle1, | ||
const Standard_Real | angle2 | ||
) |
Make a sphere of radius R.
BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere | ( | const gp_Ax2 & | Axis, |
const Standard_Real | R, | ||
const Standard_Real | angle1, | ||
const Standard_Real | angle2, | ||
const Standard_Real | angle3 | ||
) |
Make a sphere of radius R. For all algorithms The resulting shape is composed of.
|
virtual |
Returns the algorithm.
Implements BRepPrimAPI_MakeOneAxis.
BRepPrim_Sphere& BRepPrimAPI_MakeSphere::Sphere | ( | ) |
Returns the algorithm.